#!/usr/bin/python
# -*- encoding: utf-8; py-indent-offset: 4 -*-
#
# License: GNU General Public License v2
#
# Author: thl-cmk[at]outlook[dot]com
# URL   : https://thl-cmk.hopto.org
# Date  : 2018-05-29
#
# Check Point Firewall connections metrics plugins
# checkpoint_fragments
#
#
##############################################################################
#
# define units for perfdata
#
##############################################################################

##############################################################################
#
# define metrics for perfdata
#
##############################################################################

metric_info['checkpoint_fragments_fwfrag_fragments'] = {
    'title': _('Fragments'),
    'unit': '1/s',
    'color': '11/a',
}
metric_info['checkpoint_fragments_fwfrag_expired'] = {
    'title': _('Fragments expired'),
    'unit': '1/s',
    'color': '21/a',
}
metric_info['checkpoint_fragments_fwfrag_packets'] = {
    'title': _('Fragmented packets'),
    'unit': '1/s',
    'color': '31/a',
}

##############################################################################
#
# map perfdata to metric
#
##############################################################################


check_metrics['check_mk-checkpoint_fragments'] = {
    'fwfrag_fragments': {'name': 'checkpoint_fragments_fwfrag_fragments', },
    'fwfrag_expired': {'name': 'checkpoint_fragments_fwfrag_expired', },
    'fwfrag_packets': {'name': 'checkpoint_fragments_fwfrag_packets', },
}

##############################################################################
#
# how to graph perdata
#
##############################################################################

graph_info.append({
    'title': _('Check Point Firewall Fragments'),
    'metrics': [
        ('checkpoint_fragments_fwfrag_expired', 'line'),
        ('checkpoint_fragments_fwfrag_packets', 'line'),
        ('checkpoint_fragments_fwfrag_fragments', 'line'),
    ],
    'scalars': [
        ('checkpoint_fragments_fwfrag_fragments:crit', _('crit')),
        ('checkpoint_fragments_fwfrag_fragments:warn', _('warn')),
    ],
})

##############################################################################
#
# define perf-o-meter
#
##############################################################################


perfometer_info.append(('stacked', [
    {
        'type': 'logarithmic',
        'metric': 'checkpoint_fragments_fwfrag_fragments',
        'half_value': 5000.0,
        'exponent': 2,
    },
    {
        'type': 'logarithmic',
        'metric': 'checkpoint_fragments_fwfrag_packets',
        'half_value': 1000.0,
        'exponent': 2,
    },
]))
