#!/usr/bin/python
# -*- encoding: utf-8; py-indent-offset: 4 -*-
#
# License: GNU General Public License v2
#
# Author: thl-cmk[at]outlook[dot]com
# URL   : https://thl-cmk.hopto.org
# Date  : 2020-06-07
#
register_check_parameters(
    subgroup_applications,
    'checkpoint_fragments',
    _('Check Point Fragments'),
    Dictionary(
        elements=[
            ('warncritpackets',
             Tuple(
                 title=_('Levels for number of fragmented packets/s'),
                 elements=[
                     Integer(title=_('Warning at'), default_value=10, unit=_('Count'), allow_empty=False),
                     Integer(title=_('Critical at'), default_value=20, unit=_('Count'), allow_empty=False),
                 ])),
            ('warncritfragments',
             Tuple(
                 title=_('Levels for number of fragments/s'),
                 elements=[
                     Integer(title=_('Warning at'), default_value=10, unit=_('Count'), allow_empty=False),
                     Integer(title=_('Critical at'), default_value=20, unit=_('Count'), allow_empty=False),
                 ])),
            ('warncritexpired',
             Tuple(
                 title=_('Levels for number of expired fragments/s'),
                 elements=[
                     Integer(title=_('Warning at'), default_value=10, unit=_('Count'), allow_empty=False),
                     Integer(title=_('Critical at'), default_value=20, unit=_('Count'), allow_empty=False),
                 ])),
        ],
    ),
    None,
    match_type='dict',
)
